--- title: "getScalingProcessTypeList" slug: "compute-vautoscaling-autoscalinggroup-getscalingprocesstypelist" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-getscalingprocesstypelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getScalingProcessTypeList Available in VPC Get the list of process types available for use in the process management of Auto Scaling Group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/getScalingProcessTypeList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/getScalingProcessTypeList ?regionCode=KR &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getScalingProcessTypeListResponse` | Object | - | Response result - See [ProcessList](/docs/en/common-vapidatatype-processlist). | | `getScalingProcessTypeListResponse.requestId` | String | - | ID for the request - UUID format | | `getScalingProcessTypeListResponse.returnCode` | String | - | Response code | | `getScalingProcessTypeListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getScalingProcessTypeListResponse": { "totalRows": 8, "processList": [ { "code": "LANCH", "codeName": "Create a server instance." }, { "code": "TERMT", "codeName": "Terminate server instances." }, { "code": "HTHCK", "codeName": "Health check" }, { "code": "RPUNH", "codeName": "Replace a server instance with health issues" }, { "code": "SCACT", "codeName": "Scheduled action" }, { "code": "ADTLB", "codeName": "Add a server instance to load balancer" }, { "code": "ALMNO", "codeName": "Alarm notification" } ], "requestId": "da0df0c7-****-****-****-92539577b296", "returnCode": "0", "returnMessage": "success" } } ```